Identity VerificationNigeriaVoter's CardVoters Card POST
POST
/api/v1/verification/api/voters_card/

Verify voter registration card number.

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/verification/api/voters_card/" \  -H "Content-Type: application/json" \  -d '{    "number": "e.g. 91FH8U1234567890123"  }'
{  "data": {    "lga": "AJMI/IFDUN",    "vin": "90F5B1103A295500632",    "photo": "/9j/4AAQSkZJRgABAQEAYABgAAD//gA7Q1JFQVRPUjogZ2QtanBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2ODApLCBxdWFsaXR",    "state": "LAGOS",    "gender": "F",    "address": "1 MBA STREET, AJEROMI/IFELODUN, LAGOS",    "country": "NG",    "fullName": " Roe Moga Eah ",    "occupation": "STUDENT",    "pollingUnit": "",    "phone_number": "",    "date_of_birth": "",    "pollingUnitCode": "",    "timeOfRegistration": "",    "registrationAreaWard": ""  },  "status": true,  "response_code": "00",  "message": "string",  "billing_info": {    "was_charged": true,    "amount": "string",    "currency": "string"  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel